<?php

namespace HS\Install\System\Checks;

use HS\Install\System\SystemCheckInterface;
use Illuminate\Support\Facades\Http;

class AppURLValid implements SystemCheckInterface
{
    /**
     * If system check is valid (OK).
     * @var bool
     */
    protected $valid;

    /**
     * Error.
     * @var string
     */
    protected $error;


    /**
     * This is required to pass.
     * @return bool
     */
    public function required()
    {
        return false;
    }

    /**
     * Check if the app key enviroment var exist.
     * @return bool
     */
    public function valid()
    {
        
        try {
            $request = Http::get(config('app.url'));
            $body =  $request->body();
                if(! $request->successful()){  
                    $this->valid = false;
                    $request->throw();
                }
                if (! str_contains($body,"HelpSpot needs to be installed, please follow the")){
                    $this->valid = false;
                    $this->error = "HelpSpot app code not found at URL";
                }
                else{
                    $this->valid = true;
                }
            
        }
        catch (\Exception $e)
        {
            $error = explode("Stack trace:",$e);
            $this->error = 'invalid app_url';
            $this->error = $error[0];
            $this->valid = false;
        }

        //if (! $this->valid) {
        //    $this->error = 'invalid app_url';
        //} 
        return $this->valid;
    }

    /**
     * @return mixed
     */
    public function getError()
    {
        return $this->error;
    }
}
